Skip to main content
`Ctrl`+`K`

# MFNCreate

Creates the `MFN` context.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNCreate(MPI_Comm comm,MFN *outmfn)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- outmfn - location to put the `MFN` context

## Note

The default `MFN` type is `MFNKRYLOV`.

## See Also

MFN: Matrix Function, `MFNSetUp()`, `MFNSolve()`, `MFNDestroy()`, `MFN`

## Level

beginner

## Location

src/mfn/interface/mfnbasic.c

## Examples

src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex37.c
src/mfn/tutorials/ex39.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex23.c
src/eps/tutorials/ex36.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages